Bug 9106 - Запретительные права на каталоги, создаваемые по умолчанию
: Запретительные права на каталоги, создаваемые по умолчанию
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/cpio)
: unstable
: all Linux
: P2 normal
Assigned To:
:
: http://lists.gnu.org/archive/html/bug...
:
:
:
  Show dependency tree
 
Reported: 2006-02-17 22:21 by
Modified: 2008-01-08 22:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-17 22:21:24
Если просить cpio создавать недостающие каталоги (ключ --make-directories): 
$ rpm2cpio somerpm.rpm | cpio --extract --no-absolute-filenames  
--make-directories  
то создаваемые каталоги имеют права 0700, что создаёт проблемы при установке 
им в корневой каталог. 
Предлагается сменить на 755. (util.c)  
Из-за этого с помощью alien невозможно создавать корректный пакет для 
Slackware. 
В Debian создаётся именно с 755.
------- Comment #1 From 2006-03-30 18:54:52 -------
cpio создаёт каталоги с такими правами только в том случае, если этих каталогов
нет в архиве, в противном случае устанавливаются те права, которые указаны.
------- Comment #2 From 2006-03-30 23:43:45 -------
Возможно было бы логичным создавать каталоги согласно umask? 
Конечно, это проблема mainstream... В alien сделан специальный хак для 
исправления прав... 
------- Comment #3 From 2007-01-16 10:33:53 -------
Может быть есть смысл просто добавить новый ключик к параметрам и поправить
мануал? По-моему это было бы наиболее приемлимым решением. Я даже готов за это
взяться, если доверите :)
------- Comment #4 From 2007-01-16 17:50:39 -------
Я не против нового ключика, но на вашем месте прежде чем написать код, я бы
сделал заглянул в cpio cvs, может там это уже реализовано.  Ещё можно
поинтересоваться в bug-cpio@gnu.org, что об этом думает Sergey Poznyakoff.
------- Comment #5 From 2007-08-12 19:40:34 -------
Fixed in cpio-2.9